## curlfilesink curlfilesink — sink that uploads data to a server using libcurl |

## Properties

gboolean | create-dirs | Read / Write

## Types and Values

struct | GstCurlFileSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstCurlBaseSink
                            ╰── GstCurlFileSink

## Description

This is a network sink that uses libcurl as a client to upload data to a local or network drive.

#### Example launch line (upload a JPEG file to /home/test/images directory)

    1
    2
    3
    gst-launch-1.0 filesrc location=image.jpg ! jpegparse ! curlfilesink  \
        file-name=image.jpg  \
        location=file:///home/test/images/

## Synopsis

### Element Information

plugin | curl
author | Patricia Muscalu <patricia@axis.com>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstCurlFileSink

    struct GstCurlFileSink;

## Property Details

### The `“create-dirs”` property

      “create-dirs”              gboolean

Attempt to create missing directory included in the path.

Flags: Read / Write

Default value: FALSE